fool( cp_actor_name, "cp_actor_name", 1 )
fool( cp_model_dir, "cp_model_dir", 2 )
fool( cp_model_name, "cp_model_name", 3 )

fool( cp_actor_type, "cp_actor_type", 4 )
fool( cp_hit_delay, "cp_hit_delay", 5 )
fool( cp_mutate_hit_delay, "cp_mutate_hit_delay", 6 )
fool( cp_move_type, "cp_move_type", 7 )
fool( cp_weight, "cp_weight", 8 )
fool( cp_hit_power, "cp_hit_power", 9 )
fool( cp_i_collide_with_beasties, "cp_i_collide_with_beasties", 10 )
fool( cp_these_collide_with_me, "cp_these_collide_with_me", 11 )
fool( cp_i_avoid_these_beasties, "cp_i_avoid_these_beasties", 12 )
fool( cp_in_beastie_count, "cp_in_beastie_count", 13 )
fool( cp_extra_collision_type, "cp_extra_collision_type", 14 )

fool( cp_move_speed_min, "cp_move_speed_min", 15 )
fool( cp_move_speed_max, "cp_move_speed_max", 16 )
fool( cp_move_acceleration, "cp_move_acceleration", 17 )
fool( cp_move_deceleration, "cp_move_deceleration", 18 )
fool( cp_move_inertia_accn, "cp_move_inertia_accn", 19 )
fool( cp_move_inertia_decn, "cp_move_inertia_decn", 20 )

fool( cp_repel_dist, "cp_repel_dist", 21 )
fool( cp_target_stop_dist, "cp_target_stop_dist", 22 )
fool( cp_target_delay_min, "cp_target_delay_min", 23 )
fool( cp_target_delay_max, "cp_target_delay_max", 24 )

fool( cp_turn_lock_angle_inner, "cp_turn_lock_angle_inner", 25 )
fool( cp_turn_lock_angle_outer, "cp_turn_lock_angle_outer", 26 )
fool( cp_turn_speed_still, "cp_turn_speed_still", 27 )
fool( cp_turn_acceleration_still, "cp_turn_acceleration_still", 28 )
fool( cp_turn_inertia_still, "cp_turn_inertia_still", 29 )
fool( cp_turn_speed_moving, "cp_turn_speed_moving", 30 )
fool( cp_turn_acceleration_moving, "cp_turn_acceleration_moving", 31 )
fool( cp_turn_inertia_moving, "cp_turn_inertia_moving", 32 )
fool( cp_turn_speed_aiming, "cp_turn_speed_aiming", 33 )

fool( cp_add_eyes, "cp_add_eyes", 34 )

fool( cp_launch_scale_min, "cp_launch_scale_min", 35 )
fool( cp_launch_scale_max, "cp_launch_scale_max", 36 )
fool( cp_launch_hue_shift, "cp_launch_hue_shift", 37 )

fool( cp_bullet_spray_angle, "cp_bullet_spray_angle", 38 )
fool( cp_player_bullet_rate, "cp_player_bullet_rate", 39 )

fool( cp_random_offset_x, "cp_random_offset_x", 40 )
fool( cp_random_offset_z, "cp_random_offset_z", 41 )

fool( cp_random_trajectory_offset, "cp_random_trajectory_offset", 42 )
fool( cp_random_trajectory_offset_delay_min, "cp_random_trajectory_offset_delay_min", 43 )
fool( cp_random_trajectory_offset_delay_max, "cp_random_trajectory_offset_delay_max", 44 )

fool( cp_fence_bounce_percent, "cp_fence_bounce_percent", 45 )
fool( cp_max_explosion_speed, "cp_max_explosion_speed", 46 )

fool( cp_rolly_polly_multiply, "cp_rolly_polly_multiply", 47 )

fool( cp_score, "cp_score", 48 )
fool( cp_egg_count, "cp_egg_count", 49 )
fool( cp_basket_number, "cp_basket_number", 50 )
fool( cp_random_byebye_speed, "cp_random_byebye_speed", 51 )
fool( cp_exp_to_start, "cp_exp_to_start", 52 )

fool( cp_spring_multiply, "cp_spring_multiply", 53 )
fool( cp_basket_catch_time, "cp_basket_catch_time", 54 )

fool( cp_difficulty_adjust_speed, "cp_difficulty_adjust_speed", 55 )

fool( cp_spin_speed_min, "cp_spin_speed_min", 56 )
fool( cp_spin_speed_max, "cp_spin_speed_max", 57 )
fool( cp_spin_inertia, "cp_spin_inertia", 58 )

fool( cp_i_am_repelled_by, "cp_i_am_repelled_by", 59 )

fool( cp_add_to_launcher, "cp_add_to_launcher", 60 )
fool( cp_add_gate, "cp_add_gate", 61 )

fool( cp_launch_anim_delay, "cp_launch_anim_delay", 62 )
fool( cp_material_hardness, "cp_material_hardness", 63 )
fool( cp_max_path_stop_dist, "cp_max_path_stop_dist", 64 )
fool( cp_remove_between_stage, "cp_remove_between_stage", 65 )
fool( cp_water_stickyness, "cp_water_stickyness", 66 )
fool( cp_incoming_arrow, "cp_incoming_arrow", 67 )
fool( cp_bruise_fruit, "cp_bruise_fruit", 68 )
fool( cp_check_in_pen, "cp_check_in_pen", 69 )
fool( cp_track_beastie_dist, "cp_track_beastie_dist", 70 )
fool( cp_lasso_tail, "cp_lasso_tail", 71 )
fool( cp_alight_time, "cp_alight_time", 72 )

fool( cp_move_target, "cp_move_target", 73 )



fool( ci_actor_name, "ci_actor_name", 1 )
fool( ci_unique_name, "ci_unique_name", 2 )
fool( ci_path_name, "ci_path_name", 3 )

fool( ci_model_size, "ci_model_size", 4 )
fool( ci_posn_x, "ci_posn_x", 5 )
fool( ci_posn_y, "ci_posn_y", 6 )
fool( ci_posn_z, "ci_posn_z", 7 )
fool( ci_angle, "ci_angle", 8 )
fool( ci_anim_delay, "ci_anim_delay", 9 )
fool( ci_hue_shift, "ci_hue_shift", 10 )
fool( ci_launch_delay, "ci_launch_delay", 11 )
fool( ci_diff_num, "ci_diff_num", 12 )
fool( ci_stage_num, "ci_stage_num", 13 )



fool( cmt_track, "cmt_track", 1 )
fool( cmt_path, "cmt_path", 2 )
fool( cmt_flock, "cmt_flock", 4 )
fool( cmt_fixed_dirn, "cmt_fixed_dirn", 8 )
fool( cmt_track_start, "cmt_track_start", 16 )
fool( cmt_track_z, "cmt_track_z", 32 )
fool( cmt_track_path, "cmt_track_path", 64 )
fool( cmt_repelled, "cmt_repelled", 128 )

fool( cmt_anim_to_move, "cmt_anim_to_move", 256 )
fool( cmt_anim_to_turn, "cmt_anim_to_turn", 512 )
fool( cmt_apply_no_dirn, "cmt_apply_no_dirn", 1024 )
fool( cmt_face_gamer, "cmt_face_gamer", 2048 )
fool( cmt_hop, "cmt_hop", 4096 )
fool( cmt_pathend, "cmt_pathend", 8192 )



fool( cat_ground, "cat_ground", 1 )
fool( cat_fizz, "cat_fizz", 2 )
fool( cat_player, "cat_player", 4 )
fool( cat_bullet, "cat_bullet", 8 )
fool( cat_explosion, "cat_explosion", 16 )
fool( cat_particle, "cat_particle", 32 )

fool( cat_beastie, "cat_beastie", 64 )
fool( cat_block, "cat_block", 128 )
fool( cat_crystal, "cat_crystal", 256 )
fool( cat_elastic, "cat_elastic", 512 )
fool( cat_elastic_link, "cat_elastic_link", 1024 )
fool( cat_basket, "cat_basket", 2048 )
fool( cat_flower_switch, "cat_flower_switch", 4096 )
fool( cat_star_target, "cat_star_target", 8192 )
fool( cat_egg, "cat_egg", 16384 )
fool( cat_sticky_touch, "cat_sticky_touch", 32768 )

